Index: src/Parser/unittests/Makefile.am
===================================================================
--- src/Parser/unittests/Makefile.am	(revision c0e28c07a3ae4cbff46cf20696b4026104ce4e92)
+++ src/Parser/unittests/Makefile.am	(revision d9005c16a207bbd7364238aaf6dfaa1afe18b7cb)
@@ -10,4 +10,5 @@
 	../Parser/unittests/ParserPsi3UnitTest.cpp \
 	../Parser/unittests/ParserTremoloUnitTest.cpp \
+	../Parser/unittests/ParserTremolo_ElementKeysUnitTest.cpp \
 	../Parser/unittests/ParserXyzUnitTest.cpp
 
@@ -18,4 +19,5 @@
 	../Parser/unittests/ParserPsi3UnitTest.hpp \
 	../Parser/unittests/ParserTremoloUnitTest.hpp \
+	../Parser/unittests/ParserTremolo_ElementKeysUnitTest.hpp \
 	../Parser/unittests/ParserXyzUnitTest.hpp
 
@@ -26,4 +28,5 @@
   ParserPsi3UnitTest \
   ParserTremoloUnitTest \
+  ParserTremolo_ElementKeysUnitTest \
   ParserXyzUnitTest
 
@@ -64,4 +67,9 @@
 ParserTremoloUnitTest_LDADD = ${PARSERLIBS}
 
+ParserTremolo_ElementKeysUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	../Parser/unittests/ParserTremolo_ElementKeysUnitTest.cpp \
+	../Parser/unittests/ParserTremolo_ElementKeysUnitTest.hpp
+ParserTremolo_ElementKeysUnitTest_LDADD = ${PARSERLIBS}
+
 ParserXyzUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Parser/unittests/ParserXyzUnitTest.cpp \
Index: src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.cpp
===================================================================
--- src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.cpp	(revision d9005c16a207bbd7364238aaf6dfaa1afe18b7cb)
+++ src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.cpp	(revision d9005c16a207bbd7364238aaf6dfaa1afe18b7cb)
@@ -0,0 +1,69 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * ParserTremolo_ElementKeysUnitTest.cpp
+ *
+ *  Created on: Mar 3, 2010
+ *      Author: metzler
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "ParserTremolo_ElementKeysUnitTest.hpp"
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "Atom/atom.hpp"
+#include "Descriptors/AtomTypeDescriptor.hpp"
+#include "Element/element.hpp"
+#include "Element/periodentafel.hpp"
+#include "Parser/TremoloParser.hpp"
+#include "Parser/TremoloParser_ElementKeys.hpp"
+#include "Parser/ChangeTracker.hpp"
+#include "World.hpp"
+#include "WorldTime.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+using namespace std;
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( ParserTremolo_ElementKeysUnitTest );
+void ParserTremolo_ElementKeysUnitTest::setUp()
+{
+  knownTypes = new ElementKeys();
+}
+
+void ParserTremolo_ElementKeysUnitTest::tearDown()
+{
+  delete knownTypes;
+}
+
+/************************************ tests ***********************************/
+
+void ParserTremolo_ElementKeysUnitTest::settergetterTest()
+{
+  // install a key
+  CPPUNIT_ASSERT_NO_THROW( knownTypes->setType("H1", "H"));
+
+  // check for excepetion
+  CPPUNIT_ASSERT_THROW( knownTypes->setType("H1", "H"), IllegalParserKeyException);
+
+  // get present key
+  CPPUNIT_ASSERT_NO_THROW( knownTypes->getType("H1"));
+
+  // get non-present key
+  CPPUNIT_ASSERT_THROW( knownTypes->getType("F"), IllegalParserKeyException);
+}
Index: src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.hpp
===================================================================
--- src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.hpp	(revision d9005c16a207bbd7364238aaf6dfaa1afe18b7cb)
+++ src/Parser/unittests/ParserTremolo_ElementKeysUnitTest.hpp	(revision d9005c16a207bbd7364238aaf6dfaa1afe18b7cb)
@@ -0,0 +1,38 @@
+/*
+ * ParserTremolo_ElementKeysUnitTest.hpp
+ *
+ *  Created on: Mar 12, 2012
+ *      Author: heber
+ */
+#ifndef PARSERTREMOLO_ELEMENTKEYS_UNITTEST_HPP_
+#define PARSERTREMOLO_ELEMENTKEYS_UNITTEST_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Parser/TremoloParser.hpp"
+
+#include <cppunit/extensions/HelperMacros.h>
+#include <string>
+
+struct ElementKeys;
+
+class ParserTremolo_ElementKeysUnitTest :  public CppUnit::TestFixture
+{
+  CPPUNIT_TEST_SUITE( ParserTremolo_ElementKeysUnitTest ) ;
+  CPPUNIT_TEST ( settergetterTest );
+  CPPUNIT_TEST_SUITE_END();
+
+public:
+  void setUp();
+  void tearDown();
+
+  void settergetterTest();
+
+private:
+  ElementKeys *knownTypes;
+};
+
+#endif /* PARSERTREMOLO_ELEMENTKEYS_UNITTEST_HPP_ */
